## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapKeyTraits< XalanQName > Struct Template Reference

`#include <XalanQName.hpp>`

Inheritance diagram for XalanMapKeyTraits< XalanQName >:

[legend]
List of all members.

## Public Types

- typedef XalanHashMemberReference<
  XalanQName> Hasher
- typedef XALAN_STD_QUALIFIER
  equal_to<XalanQName> Comparator

### template<> struct XalanMapKeyTraits< XalanQName >

## Member Typedef Documentation

template<>
typedef XALAN_STD_QUALIFIER equal_to< XalanQName > XalanMapKeyTraits< XalanQName >::Comparator<XalanQName>

template<>
typedef XalanHashMemberReference< XalanQName > XalanMapKeyTraits< XalanQName >::Hasher<XalanQName>

The documentation for this struct was generated from the following file:

- XalanQName.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.